<#import "/parts/common.ftlh" as c>

<@c.page>
<div class="container">
    <div class="m-5">
        <h3>Users</h3>
    </div>
    <table class="table table-bordered table-dark mt-5">
        <thead>
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Roles</th>
            <th scope="col">Status</th>
            <th scope="col">Edit</th>
        </tr>
        </thead>
        <tbody>
        <#list users as user>
        <tr>
            <td>${user.username}</td>
            <td><#list user.roles as role>${role}<#sep>, </#list></td>
            <td>${user.active?string("Active","Inactive")}</td>
            <td><a href="/club/user/${user.id}"><i class="fas fa-user"></i></a></td>
        </tr>
        </#list>
        </tbody>
    </table>
</div>
</@c.page>